#ifndef _MSG_H
#define _MSG_H

extern int mpi_rank;			/* rank of this MPI process */
extern int mpi_size;			/* total number of MPI processes */
extern char *event_file;		/* output file for events */

int remote_dequeue(unsigned int *clist, unsigned int *compsub);

int msg_handler_init(int *pargc, char ***pargv);
void msg_handler_start(int dq_max);
void msg_handler_complete(void);
void msg_handler_stop(void);
void msg_handler_poll(void);

#endif
